Subject: Re: bug#15189: 24.3.50; display-buffer does not work well with custom frames.

From: martin rudalics <[email-masked]>
Date: Mon, 26 Aug 2013 15:06:48 +0200

> This does not work well with find-file in conjunction with several
 > frames because find-file is executed BEFORE custom frame functions are
 > run.  The result is that the buffer that initially had focus ends up
 > getting buried even though the file being opened is in a new frame.
 > The only reliable workaround appears to be calling the find-file
 > command AFTER the custom frame functions are run, which (in my lay
 > opinion) defeats the purpose of using display-buffer.

IIUC you want to make `find-file' behave like `find-file-other-frame' by
default.  Is that correct?  Or what am I missing?

martin